

-- If setResolution is called more then one time at the beginning then
-- it's necessary to reload all objects because of the old width and height values!
function setResolution(w, h)
  WIDTH, HEIGHT = w, h
  SCREENWIDTH, SCREENHEIGHT = love.window.getDimensions()
  SCALEX, SCALEY = SCREENWIDTH / WIDTH, SCREENHEIGHT / HEIGHT
end


function setScale(w, h)
  SCREENWIDTH, SCREENHEIGHT = w, h
  SCALEX, SCALEY = SCREENWIDTH / WIDTH, SCREENHEIGHT / HEIGHT
  love.window.setMode(SCREENWIDTH, SCREENHEIGHT)
end


function printFont(font, text, x, y, r, sx, sy, ox, oy)
  local previousFont = love.graphics.getFont()
  love.graphics.setFont(font)
  love.graphics.print(text, x, y, r, sx, sy, ox, oy)
  love.graphics.setFont(previousFont)
end


function printFontCentered(font, text, x, y, width)
  local previousFont = love.graphics.getFont()
  love.graphics.setFont(font)
  love.graphics.printf(text, x, y - font:getHeight() / 2, width, "center")
  love.graphics.setFont(previousFont)
end